diff tests/test-exclude8.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents b06060465f09
children
line wrap: on
line diff
--- a/tests/test-exclude8.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-exclude8.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -32,7 +32,7 @@
 bar: 1
 EOT
 
-test-exclude -wildcards in -- 'f*e' 'file' 'bar' > out || exit $?
+${CHECKER} test-exclude -wildcards in -- 'f*e' 'file' 'bar' > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.